<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Datenbankeditor"                                     |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

+------------------------------------------------------------------------+
| This Module is based on ADMINER, a unique one-file database            |
| administration tool by Jakub Vrna | http://www.adminer.org/           |
| which is free for commercial and non-commercial use (apache license)   |
| http://www.apache.org/licenses/LICENSE-2.0.html                        |
+------------------------------------------------------------------------+

Version 4.1b / January 2014

*/

define('CPO', true);
define('ADMINER', true);
require_once('../_include/checkaccess.inc.php');

if (defined('CTXTRA')) DB_warning();

$dbadmin = new DB;

if(!$_SESSION["token"])$_SESSION["token"]=rand(1,1e6);

	$_GET = array(
		"username" => $_SESSION['SID_login'],
		"dump" => ""
	);
	$_POST = array(
		"output" => "gz",
		"format" => "sql",
		"table_style" => "CREATE",
		"data_style" => "INSERT",
		"databases" => array($dbadmin->Database),
		"token" => $_SESSION["token"]
	);

	function adminer_object() {
		global $dbadmin;
		class AdminerLogin extends Adminer {
			function credentials() {
				global $dbadmin;
				// server, username and password for connecting to database
				return array($dbadmin->Host, $dbadmin->User, $dbadmin->Password);
			}
		}
		return new AdminerLogin;
	}

	include ("./adminer.php");

